OpenGL-2.2.3.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Graphics.Rendering.OpenGL.GL.Fog

Description

This module corresponds to section 3.10 (Fog) of the OpenGL 2.1 specs.

# Documentation

fog :: StateVar Capability

data FogMode

Constructors

Linear GLfloat GLfloat |
Exp GLfloat |
Exp2 GLfloat |

Instances

Eq FogMode |
Ord FogMode |
Show FogMode |

fogMode :: StateVar FogMode

fogColor :: StateVar (Color4 GLfloat)

fogIndex :: StateVar (Index1 GLint)

data FogCoordSrc

Constructors

FogCoord |
FragmentDepth |

Instances

Eq FogCoordSrc |
Ord FogCoordSrc |
Show FogCoordSrc |

fogCoordSrc :: StateVar FogCoordSrc

data FogDistanceMode

Constructors

EyeRadial |
EyePlaneSigned |
EyePlaneAbsolute |

Instances

Eq FogDistanceMode |
Ord FogDistanceMode |
Show FogDistanceMode |

fogDistanceMode :: StateVar FogDistanceMode